Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class Order_Customer_CRUD

    java.lang.Object
      com.beasys.commerce.ebusiness.order.Order_Customer_CRUD

Deprecated See BEA Commerce product offering

    @Deprecated
    public class Order_Customer_CRUD

extends Object

CRUD for OneToOne Mapping

Constructor Summary
`Order_Customer_CRUD()` Deprecated See BEA Commerce product offering

Method Summary
`static CustomerPk` | `find(Connection connection, Object container)` Deprecated See BEA Commerce product offering
`static void` | `update(Connection connection, Object containerKey, Object container)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Order_Customer_CRUD

    public Order_Customer_CRUD()

  Deprecated See BEA Commerce product offering

Method Detail

### update

    public static void update(Connection connection,
                              Object containerKey,
                              Object container)
                       throws BMPException

  Deprecated See BEA Commerce product offering

  Update 1:1 requires changes in two tables, one for the contained class, the other for the containing class. For the contained class: - see if the instance exists in the database. - if he exists, update him - if he does not exist, create him For the containing class: - update foreign key fields to the contained class. - a database trigger should delete the old instance of the contained class if it was contained by value

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### find

    public static CustomerPk find(Connection connection,
                                  Object container)
                           throws BMPException

  Deprecated See BEA Commerce product offering

  Throws
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved